> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# projtype

> GenericMDOProvider reads MDO lists with default settings

## "projtype" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'projtype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/projtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("projtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name           | StyleHint | ExtraInfo |
| -- | -------------- | --------- | --------- |
| 3  | Annet          |           |           |
| 1  | DM/Kampanje    |           |           |
| 4  | Guided project |           |           |
| 2  | Internt        |           |           |

## Related MDO Lists

* "projtypeheadings"
* "projtypeheadingswithallitem"
* "projtypeheadingswithallitemwithnoselection"
* "projtypeheadingswithnoselection"
* "projtypewithallitem"
* "projtypewithallitemwithnoselection"
* "projtypewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [ProjType table](/en/database/tables/projtype.md)
- [ProjTypeHeadingLink table](/en/database/tables/projtypeheadinglink.md)
- [ProjTypeGroupLink table](/en/database/tables/projtypegrouplink.md)
- [SuperOffice.WebApi.Data.ProjectTypeEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectTypeEntity.md)
- [SuperOffice.WebApi.Data.ProjectTypeStatusLink](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectTypeStatusLink.md)
